Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_X9_42_DH2_DERIVE_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_OBJECT_HANDLE | hPrivateData
CK_X9_42_DH_KDF_TYPE | kdf
CK_BYTE_PTR | pOtherInfo
CK_BYTE_PTR | pPublicData
CK_BYTE_PTR | pPublicData2
CK_ULONG | ulOtherInfoLen
CK_ULONG | ulPrivateDataLen
CK_ULONG | ulPublicDataLen
CK_ULONG | ulPublicDataLen2

## Detailed Description

Definition at line 1374 of file pkcs11t.h.

## Member Data Documentation

CK_OBJECT_HANDLE CK_X9_42_DH2_DERIVE_PARAMS::hPrivateData

Definition at line 1381 of file pkcs11t.h.

CK_X9_42_DH_KDF_TYPE CK_X9_42_DH2_DERIVE_PARAMS::kdf

Definition at line 1375 of file pkcs11t.h.

CK_BYTE_PTR CK_X9_42_DH2_DERIVE_PARAMS::pOtherInfo

Definition at line 1377 of file pkcs11t.h.

CK_BYTE_PTR CK_X9_42_DH2_DERIVE_PARAMS::pPublicData

Definition at line 1379 of file pkcs11t.h.

CK_BYTE_PTR CK_X9_42_DH2_DERIVE_PARAMS::pPublicData2

Definition at line 1383 of file pkcs11t.h.

CK_ULONG CK_X9_42_DH2_DERIVE_PARAMS::ulOtherInfoLen

Definition at line 1376 of file pkcs11t.h.

CK_ULONG CK_X9_42_DH2_DERIVE_PARAMS::ulPrivateDataLen

Definition at line 1380 of file pkcs11t.h.

CK_ULONG CK_X9_42_DH2_DERIVE_PARAMS::ulPublicDataLen

Definition at line 1378 of file pkcs11t.h.

CK_ULONG CK_X9_42_DH2_DERIVE_PARAMS::ulPublicDataLen2

Definition at line 1382 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h